Hi, all.
Is there a way to change the surface style through the command line alone? Assume we have two surface styles called "my-contours" and "my-triangles", can we have a lisp routine that would call them and bypass any dialog boxes?
Thanks for any input.
Edgar
@ebsoares wrote:
Hi, all.
Is there a way to change the surface style through the command line alone? Assume we have two surface styles called "my-contours" and "my-triangles", can we have a lisp routine that would call them and bypass any dialog boxes?
Thanks for any input.
Edgar
Hi Edgar,
I'm not a C3D guy, but based on this post by @rkmcswain the surface object have a 'SurfaceStyle' property, perhaps anything like this will do the trick...
(vl-load-com) (defun c:demo (/ sel) (if (and (setq sel (entsel)) (eq (cdr (assoc 0 (entget (car sel)))) "AECC_TIN_SURFACE") ) (vlax-put-property (vlax-ename->vla-object (car sel)) "SurfaceStyle" "my-contours") ) (princ) )
EDIT: probably a regen is required...
Hope this helps,
Henrique
Hi, Henrique. Thanks for your post!
I've tried the lisp on my end and it doesn't work, however. It goes as far as asking to select a surface (even if one is already selected) and ends the routine, without any changes...
Thanks again,
Edgar
Hi Edgar,
as I had previously said, I'm not a C3D guy, and unfortunately, I can not provide much help on this... 😞
Henrique
Can't find what you're looking for? Ask the community or share your knowledge.